| Flutter Windows Embedder |

Typedefs | Functions
flutter_plugin_registrar.h File Reference
`#include <stddef.h>`
`#include <stdint.h>`
`#include "flutter_export.h"`
`#include "flutter_messenger.h"`
`#include "flutter_texture_registrar.h"`

Go to the source code of this file.

## Typedefs
typedef struct FlutterDesktopPluginRegistrar * | FlutterDesktopPluginRegistrarRef
typedef void(* | FlutterDesktopOnPluginRegistrarDestroyed) (FlutterDesktopPluginRegistrarRef)

## Functions
FLUTTER_EXPORT FlutterDesktopMessengerRef | FlutterDesktopPluginRegistrarGetMessenger (FlutterDesktopPluginRegistrarRef registrar)
FLUTTER_EXPORT FlutterDesktopTextureRegistrarRef | FlutterDesktopRegistrarGetTextureRegistrar (FlutterDesktopPluginRegistrarRef registrar)
FLUTTER_EXPORT void | FlutterDesktopPluginRegistrarSetDestructionHandler (FlutterDesktopPluginRegistrarRef registrar, FlutterDesktopOnPluginRegistrarDestroyed callback)

## Typedef Documentation

## ◆ FlutterDesktopOnPluginRegistrarDestroyed

typedef void(* FlutterDesktopOnPluginRegistrarDestroyed) (FlutterDesktopPluginRegistrarRef)

Definition at line 23 of file flutter_plugin_registrar.h.

## ◆ FlutterDesktopPluginRegistrarRef

typedef struct FlutterDesktopPluginRegistrar* FlutterDesktopPluginRegistrarRef

Definition at line 20 of file flutter_plugin_registrar.h.

## Function Documentation

## ◆ FlutterDesktopPluginRegistrarGetMessenger()

FLUTTER_EXPORT FlutterDesktopMessengerRef FlutterDesktopPluginRegistrarGetMessenger | ( | FlutterDesktopPluginRegistrarRef | registrar | ) |

Definition at line 344 of file flutter_windows.cc.

345 {
346 return registrar->engine->messenger();
347 }
flutter::FlutterWindowsEngine::messenger
FlutterDesktopMessengerRef messenger()
Definition: flutter_windows_engine.h:157
FlutterDesktopPluginRegistrar::engine
flutter::FlutterWindowsEngine * engine
Definition: window_state.h:25

References FlutterDesktopPluginRegistrar::engine, and flutter::FlutterWindowsEngine::messenger().

## ◆ FlutterDesktopPluginRegistrarSetDestructionHandler()

FLUTTER_EXPORT void FlutterDesktopPluginRegistrarSetDestructionHandler | ( | FlutterDesktopPluginRegistrarRef | registrar,
|  | FlutterDesktopOnPluginRegistrarDestroyed | callback
| ) |  |

Definition at line 349 of file flutter_windows.cc.

351 {
352 registrar->engine->AddPluginRegistrarDestructionCallback(callback, registrar);
353 }
flutter::FlutterWindowsEngine::AddPluginRegistrarDestructionCallback
void AddPluginRegistrarDestructionCallback(FlutterDesktopOnPluginRegistrarDestroyed callback, FlutterDesktopPluginRegistrarRef registrar)
Definition: flutter_windows_engine.cc:704
callback
FlutterDesktopBinaryReply callback
Definition: flutter_windows_view_unittests.cc:52

References flutter::FlutterWindowsEngine::AddPluginRegistrarDestructionCallback(), callback, and FlutterDesktopPluginRegistrar::engine.

Referenced by flutter::PluginRegistrarManager::GetRegistrar().

## ◆ FlutterDesktopRegistrarGetTextureRegistrar()

FLUTTER_EXPORT FlutterDesktopTextureRegistrarRef FlutterDesktopRegistrarGetTextureRegistrar | ( | FlutterDesktopPluginRegistrarRef | registrar | ) |

Definition at line 429 of file flutter_windows.cc.

430 {
431 return HandleForTextureRegistrar(registrar->engine->texture_registrar());
432 }
flutter::FlutterWindowsEngine::texture_registrar
FlutterWindowsTextureRegistrar * texture_registrar()
Definition: flutter_windows_engine.h:172
HandleForTextureRegistrar
static FlutterDesktopTextureRegistrarRef HandleForTextureRegistrar(flutter::FlutterWindowsTextureRegistrar *registrar)
Definition: flutter_windows.cc:70

References FlutterDesktopPluginRegistrar::engine, HandleForTextureRegistrar(), and flutter::FlutterWindowsEngine::texture_registrar().